package com.urbancode.anthill3.plugin.scm.changelog

public class ChangeSet {

    //**************************************************************************
    // CLASS
    //**************************************************************************

    //**************************************************************************
    // INSTANCE
    //**************************************************************************

    String module;
    String id= null;
    String user = null;
    String message = null;
    Date date = null;
    final Set<ChangeSetFileEntry> fileSet = [];
    Map<String,String> properties = [:];

    /**
     * Determine if the change contains only excluded file paths.
     * (an empty fileset will be included)
     *
     * @param changeSetFilter
     * @return
     */
    public boolean hasAllowedPath(ChangeSetFilter changeSetFilter) {
        return !fileSet || fileSet.find{ changeSetFilter.pathIsIncluded(it.path) } != null;
    }

    public boolean hasAllowedAuthor(ChangeSetFilter changeSetFilter) {
        return changeSetFilter.authorIsIncluded(user);
    }
}
